hosting

POST /v1/vector/indexes/{indexId}/vectors

Insert or replace vectors.

כל נקודות הקצה מסוג hosting

אימות

שלחו מפתח API כאסימון נושא (bearer token). על המפתח לכלול את הרשאה vector.manage; מפתח שאינו כולל אותה יידחה בסטטוס 403, ולא 404.

נקודת קצה זו אינה דורשת מזהה ארגון. המפתח שלך כבר מזהה את הארגון שאליו הוא שייך, והתגובה מוגבלת אליו בלבד.

נסה זאת

החלף כל דבר בסוגריים זוויתיים בערכים משלך, ואת מציין מיקום המפתח במפתח מלוח הבקרה שלך.

curl -X POST https://api.zinndigital.com/v1/vector/indexes/{indexId}/vectors \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "vectors": <Vector[]> }'

מחובר? קונסולת ה-API בלוח הבקרה שלך מזינה את מזהה הארגון האמיתי שלך ואת המפתח שלך, ומריצה את הבקשה מול ה-API הפיזי כך שתוכל לראות את התגובה בפועל. פתח נקודת קצה זו במסוף ה-API

פרטים

Writes vectors by your own id: an id already in the index is replaced, not duplicated. Every vector must carry exactly `dimension` values. Refused when the write would take the organisation past its `vector_index_gb` allowance. Requires `vector.manage`.

פרמטרים

שםסוגנדרשמה זה
indexId (path)stringכןThe index's id.

גוף הבקשה

שםסוגנדרשמה זה
vectorsVector[]כן

תשובה

שםסוגנדרשמה זה
upsertedintegerכןHow many vectors this call wrote.
vectorsintegerכןThe index's new total.

שגיאות שנקודה קצה זו עשויה להחזיר

401 · 403 · 404 · 422 · 429